package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 会员类型
 */
@AllArgsConstructor
@Getter
public enum ECustomerType {

    /**
     * 正常
     */
    NORMAL(0, "正常", 0),

    /**
     * 空单
     */
    EMPTY_ORDER(1, "空单", 0),

    /**
     * 死点
     */
    DEAD_POINT(2, "死点", 0),

//    /**
//     * 嗨粉
//     */
//    FANS(4, "海粉", 0),

    /**
     * 商城小程序游客
     */
    MALL_APPLET(5, "商城小程序游客", 0),

//    /**
//     * 海粉
//     */
//    HAI_FANS(6, "会员", 0),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    public static ECustomerType getCustomerType(int value) {
        for (ECustomerType customerType : ECustomerType.values()) {
            if (customerType.getValue() == value) {
                return customerType;
            }
        }
        return null;
    }
}
